%define anolis_release 8
Name:           perl-IO-All
Version:        0.87
Release:        %{anolis_release}%{?dist}
Summary:        IO::All Perl module
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/IO-All
Source0:        https://cpan.metacpan.org/authors/id/F/FR/FREW/IO-All-%{version}.tar.gz
BuildArch:      noarch
# Module Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Glob)
BuildRequires:  perl(File::MimeInfo)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::ReadBackwards)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Dir)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IO::Socket)
BuildRequires:  perl(MLDBM)
BuildRequires:  perl(overload)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Symbol)
BuildRequires:  perl(Tie::File)
BuildRequires:  perl(warnings)
# Test Suite
BuildRequires:  perl(base)
BuildRequires:  perl(Config)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(diagnostics)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(IO::Socket::INET)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(utf8)
BuildRequires:  perl(vars)
# Runtime
Requires:       perl(File::Copy)
Requires:       perl(File::MimeInfo)
Requires:       perl(File::Path)
Requires:       perl(File::ReadBackwards)
Requires:       perl(IO::Handle)
Recommends:     perl(MLDBM)
Requires:       perl(Tie::File)
Requires:       perl(warnings)
 
%description
The IO::All object is a proxy for IO::File, IO::Dir, IO::Socket,
IO::String, Tie::File, File::Spec, File::Path and File::ReadBackwards; as
well as all the DBM and MLDBM modules. You can use most of the methods
found in these classes and in IO::Handle (which they inherit from). IO::All
adds dozens of other helpful idiomatic methods including file stat and
manipulation functions.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.
 
%prep
%setup -q -n IO-All-%{version}
find -type f -perm /0100 -name '*.pm' -exec chmod -c a-x {} \;
 
%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build
 
%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}
 
%check
unset RELEASE_TESTING
%make_build test
 
%files
%license LICENSE
%doc example/
%{perl_vendorlib}/IO/
%{_mandir}/man3/IO::All.3*
%{_mandir}/man3/IO::All::DBM.3*
%{_mandir}/man3/IO::All::Dir.3*
%{_mandir}/man3/IO::All::File.3*
%{_mandir}/man3/IO::All::Filesys.3*
%{_mandir}/man3/IO::All::Link.3*
%{_mandir}/man3/IO::All::MLDBM.3*
%{_mandir}/man3/IO::All::Pipe.3*
%{_mandir}/man3/IO::All::STDIO.3*
%{_mandir}/man3/IO::All::Socket.3*
%{_mandir}/man3/IO::All::String.3*
%{_mandir}/man3/IO::All::Temp.3*

%files doc
%doc Changes CONTRIBUTING README

%changelog
* Thu Feb 2 2023 Funda Wang <fundawang@yeah.net> - 0.87-8
- Import package for anolis 23
